﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="MulticolumnCombo.aspx.cs"
    Inherits="MulticolumnCombo" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        .rcbHeader ul, .rcbFooter ul, .rcbItem ul, .rcbHovered ul, .rcbDisabled ul
        {
            width: 100%;
            display: inline-block;
            margin: 0;
            padding: 0;
            list-style-type: none;
        }
        .col1, .col2, .col3
        {
            float: left;
            width: 110px;
            margin: 0;
            padding: 0 5px 0 0;
            line-height: 14px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadScriptManager runat="server" ID="RadScriptManager1" />
        <telerik:RadComboBox ID="radcmbProduct" runat="server" Width="400px" Height="200px"
            AllowCustomText="false" EmptyMessage="Select a Product" EnableLoadOnDemand="True"
            ShowMoreResultsBox="true" DropDownWidth="600px" EnableVirtualScrolling="true"
            HighlightTemplatedItems="true" MarkFirstMatch="true" NoWrap="true" OnItemsRequested="radcmbProduct_ItemsRequested"
            OnItemDataBound="radcmbProduct_ItemDataBound">
            <HeaderTemplate>
                <ul>
                    <li class="col1">Title</li>
                    <li class="col2">System</li>
                    <li class="col3">Price</li>
                </ul>
            </HeaderTemplate>
            <ItemTemplate>
                <ul>
                    <li class="col1">
                        <%# DataBinder.Eval(Container.DataItem, "Title") %></li>
                    <li class="col2">
                        <%# DataBinder.Eval(Container.DataItem, "GameSystemName") %></li>
                    <li class="col3">
                        <%# DataBinder.Eval(Container.DataItem, "DisplayPrice")%></li>
                </ul>
            </ItemTemplate>
        </telerik:RadComboBox>
    </div>
    </form>
</body>
</html>
