﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;

public partial class MulticolumnCombo : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void radcmbProduct_ItemDataBound(object sender, RadComboBoxItemEventArgs e)
    {
    }
    protected void radcmbProduct_ItemsRequested(object sender, RadComboBoxItemsRequestedEventArgs e)
    {
        DataTable datatable = CreateDataSource();
        RadComboBox combo = (RadComboBox)sender;
        combo.Items.Clear();
        combo.DataSource = datatable;
        combo.DataBind();
    }


    protected DataTable CreateDataSource()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add(new DataColumn("ID", typeof(string)));
        dt.Columns.Add(new DataColumn("Title", typeof(string)));
        dt.Columns.Add(new DataColumn("GameSystemName", typeof(string)));
        dt.Columns.Add(new DataColumn("DisplayPrice", typeof(string)));

        DataRow dr = dt.NewRow();
        dr["ID"] = "1";
        dr["Title"] = "Title 1";
        dr["GameSystemName"] = "GameSystemName 1";
        dr["DisplayPrice"] = "DisplayPrice 1";
        dt.Rows.Add(dr);

        DataRow dr2 = dt.NewRow();
        dr2["ID"] = "2";
        dr2["Title"] = "Title 2";
        dr2["GameSystemName"] = "GameSystemName 2";
        dr2["DisplayPrice"] = "DisplayPrice 2";
        dt.Rows.Add(dr2);

        DataRow dr3 = dt.NewRow();
        dr3["ID"] = "3";
        dr3["Title"] = "Title 3";
        dr3["GameSystemName"] = "GameSystemName 3";
        dr3["DisplayPrice"] = "DisplayPrice 3";
        dt.Rows.Add(dr3);

        return dt;

    }
}
